package nc.vo.esb;

import java.io.Serializable;

/**
 * 与ESB交互 实体类
 * @author 廖声豪 2018-03
 *
 */
public class EsbVO<T> implements Serializable{
	
	public EsbInfoVO esbInfo;
	public QueryInfoVO queryInfo;
	public T requestInfo;
	
	public EsbInfoVO getEsbInfo() {
		return esbInfo;
	}
	public void setEsbInfo(EsbInfoVO esbInfo) {
		this.esbInfo = esbInfo;
	}
	public QueryInfoVO getQueryInfo() {
		return queryInfo;
	}
	public void setQueryInfo(QueryInfoVO queryInfo) {
		this.queryInfo = queryInfo;
	}
	public T getRequestInfo() {
		return requestInfo;
	}
	public void setRequestInfo(T requestInfo) {
		this.requestInfo = requestInfo;
	}
}
